# syssize

size of state-space system

## Calling Sequence

    [r,nx]=syssize(Sl)

## Arguments

Sl

  linear system (`syslin` list) in state-space

r

  1 x 2 real vector

nx

  integer

## Description

returns in `r` the vector [number of outputs, number of inputs] of the linear system `Sl`. `nx` is the number of states of `Sl`.

## Examples

    a=[-2.2567e-02  -36.617  -18.897  -32.090  3.2509  -7.6257e-1;
      9.2572e-05  -1.8997  9.8312e-01  -7.2562e-04  -1.7080e-01  -4.9652e-03;
        1.2338e-02  11.720  -2.6316  8.7582e-04  -31.604  22.396;
        0           0        1       0            0       0  ;
        0           0        0       0           -30      0  ;
        0           0        0       0            0      -30  ];

    b=0*ones(6,2);
    b(5,1)=30;
    b(6,2)=30;
    c=0*ones(2,6);
    c(1,2)=1;
    c(2,4)=1;
    G=syslin('c',a,b,c);
    r=syssize(G)

## See Also

- size